=== debian/changelog ===
drnoksnes (1.0.0) unstable; urgency=low

  * First stable release.
  * Display framerate in GUI.
  * For now, search for snesadvance.dat file in ROM dirname when
    launched from GUI.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 18:41:45 +0200

drnoksnes (0.9.5) unstable; urgency=low

  * Icon in packaging
  * Fixing GUI bugs and improved ROM compatibility.
  * Touchscreen controls.
  * Mouse/Touchscreen options in GUI.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 29 Aug 2009 03:12:42 +0200

drnoksnes (0.9.4) unstable; urgency=low

  * GUI select rom file chooser fixes: more extensions, remembers path.
  * Partial support in cmdline for mouse/superscope.
  * GUI support for pause/resume.
  * GUI support for snapshots.
  * A lot of emu options now available in GUI.
  * Emu now installs a symlink in /usr/bin so it can be easily launched.
  * Slightly fixed icon and graphics.
  * Optimized mode7 non-interpolated renderer.
  * Fixed bug with non-.smc roms in frontend.
  * Switched to SDL GetTicks/Delay functions instead of gettimeofday/usleep.
  * GUI now allows to set simple button/key mappings.
  * Better audio quality when using ESD backend.
  * Configurable audio rate & audio buffer size (cmd line or config file).
  * Fixed crash when missing config file.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 25 Aug 2009 19:26:11 +0200

drnoksnes (0.9.3) unstable; urgency=low

  * SRAM save on exiting and every 15 minutes.
  * New interface based on osso_games_startup.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 16 Aug 2009 19:23:49 +0200

drnoksnes (0.9.2) unstable; urgency=low

  * Fixed a hang on shutdown issue (random libgcc_s bug; now using
    -static-libgcc).
  * New command line parsing, syntax, and new configuration file.
  * Configurable input mapping.
  * Fullscreen support using Xsp pixel doubling.
  * New algorithm for frame rate limiting.
  * Added turbo mode. 
  * Added hacks file support (and partial opcode $42 support).
  * Added optional filter to load only idle speedhacks from hacks file.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 14 Aug 2009 16:43:40 +0200

drnoksnes (0.9.1) unstable; urgency=low

  * I don't remember. Too many changes.

 -- Javier S. Pedro <maemo@javispedro.com>  Wed, 12 Aug 2009 03:27:06 +0200

drnoksnes (0.9.0) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 11 Aug 2009 22:31:10 +0200
