=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 hildon-games-wrapper-dev, libosso-dev, osso-games-startup-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Pre-Depends: maemo-select-menu-location
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: 
 https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlw
 SFlzAAAC0AAAAtAB7XgK0wAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoA
 AATMSURBVEiJjZZbjBNlFMf/39w7nelt2y4U7HZZYCVS1GQRjBpCNOFBoj4YJGg08QGjQV5M
 IPFJCQ/6QiIG4nIxiiFGCZdEdF3MYgBDlIgo5SLuAoWlN9ru9DK9zLQz4wPpsoF2uudtvnO+
 8/vOOd+Z8xHLsjAbYVd95DXlyGC037f4mQHW8VSYVFcv660wDDMWikSL3faTbiBJklB7Ye9L
 vt557y4IOoIDPUQOSEQPykSLSJXak2Eu7ZHFnaFI9LSdH6bbScJvHnynzPR+PEemiMcBDYDW
 0tWIRE1k6/6lrLYBgC2IslMePH7q1TLV8ynPUEInG5oTralyfUEyHnPb+WobUTIe4wBsuqlQ
 b1SbLM9z96NoJ02Ltm7GbzdDkWhHm4ciSsZjFIAtAFZfTlsuO0BLCCNMrFn7mm2x26XuPQAr
 AMDtII3ZgAqqdhWAMWtQMh57HcCa1vfj80jXa2sBxshvl8+oqmqb3mlQMh5bDmD9TOXaZXJu
 0FdX7BxMKs2Tw3u/mgTutYIkSW3rTizLQjIeY9WG9sWpqfQSxWywfprTBzixtsjjr11NVMWt
 PzSXEpqFz0m0HpFoAYloQZloXgdyO78Z/eCTOydzQ+6edZxb7ue8srPc6yuXer0JemX0hsvn
 jQP4mwGAw4mJ949WMmtMjkEvK9TnUkYtb4Ar5FLsE72B8pcb6At7zlQemSzSIiweMA3wlm5q
 ytTeI9olf6RvYJiTRd4UhbLpFEocJzi8JiXkL93wFx/tC7uD/jnM8Nj3of16emuDpZkAmNr9
 WIEaz1AptcSFPT7twxf5G4ZhkoxS5WSRaUoOz77C7/Fkn+w+wDM0ZRFSejBdboZFLZWXdY8r
 Qo1oU5tTpCl1qoHBs6Raq1EAQNOUFfJLmiwKxwkBfP9MbHEYpseuhgFRNPPZHE8ViPG0nSFF
 05ZpmmTG0jkAFQB+IVsI2+1tCQ0CKsQ5ujflvVY0AIwCSAPgAYDSG7Nq6IbWSFPLBe+4vZFG
 sSx7F8B+ADqA6eh0jzQ5G9DddGacWhca+GkFJWXbGZiAbqj1UZZltqvlzIJS4ZZH07Xp3isN
 hmNmlzmjldXcjh27/mMIIYe2zV/m2peZ2HjJqHrAAnXLUK8o2dM/X/z3610ri5Joenf7fSwL
 Iirl6nWlUJxzi3MuyjjWrrqSG79zIVCoLGwHIU1TO3H4+K9jf55XpwdfMh7zD5897dydvy4X
 Mrkie+xs+tyuoSWLB4KHKEasmZagmJZDMSxJMSyXkshKebd3Yb5RqTLUdyeeDaSVQcohlEyn
 UDKdYqkiCcWLmdTBl3d+9oeqqqbthC1ObPxJlqTHTHDKgyDd9E6lcnKpx+fTAaB07aaHTtz1
 MXqTrfvdSpEhP658Zf2Flq+OE3bHtuccm95eOgSg1k5PCAGx7l9712B/AYP9BQA6D/yyJBJN
 zLTvCOqbL0k0TfGdQPdoIA+sqABGQpHoQz/ijqP8rc1nstUanesIAWBaaOXdAnANwJF2EFuQ
 qqpQKnOPddIXizpxye4GgBSAo6FI9FQoEq13srd9Ben089sTuVFX0KsOkRlHUoqNakUT/+qR
 2MuhSPS2nY+WdH3XJeMxNp8eW+Hkp8KE0HROocYPfHv2/Od7RmY15lvyP8GNC6ZdOMDYAAAA
 AElFTkSuQmCC

Package: drnoksnes-dbg
Architecture: armel
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator
