=== gui/Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
-PKGS:=gtk+-2.0 hildon-1 hildon-fm-2 gconf-2.0 gnome-vfs-2.0
-CPPFLAGS:=$(shell pkg-config --cflags $(PKGS)) 
-CFLAGS?=-g -Os -Wall
-CFLAGS+=-fpic -shared
+PKGS:=gtk+-2.0 hildon-1 hildon-fm-2 libhildonmime gconf-2.0 gnome-vfs-2.0
+CPPFLAGS:=$(shell pkg-config --cflags $(PKGS))
 LDLIBS:=$(shell pkg-config --libs $(PKGS))
-LDFLAGS:=-export-dynamic -avoid-version -module -shared -Wl,-z,defs
 
-#GAME_VERSION
+-include config.mk
+
+# The about dialog will use this
+CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)
+
+# Some hardcoded paths
 GAME_SHARE_PATH=/usr/share/games/drnoksnes
 GAME_PLUGIN_PATH=/usr/lib/drnoksnes_plugin.so
 GAME_CONF_PATH=$(GAME_SHARE_PATH)/drnoksnes.conf
@@ -18,7 +20,7 @@
 M4DEFS+= -DGAME_CONF_PATH=$(GAME_CONF_PATH) -DGAME_BIN_PATH=$(GAME_BIN_PATH)
 M4DEFS+= -DGAME_GAME_PATH=$(GAME_GAME_PATH) -DGAME_BANNER_PATH=$(GAME_BANNER_PATH)
 
-OBJS:=plugin.o state.o save.o controls.o cellrendererkey.o
+OBJS:=plugin.o state.o save.o controls.o cellrendererkey.o about.o
 
 DATA_FILES:=drnoksnes.conf drnoksnes.desktop drnoksnes.game 
 DATA_FILES+=drnoksnes.service drnoksnes.startup.service
@@ -47,6 +49,7 @@
 	install -m 0644 drnoksnes.startup.service $(DESTDIR)/usr/share/dbus-1/services/
 	install -m 0644 icons/main_26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/drnoksnes.png
 	install -m 0644 icons/main_40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/drnoksnes.png
+	install -m 0644 icons/main_48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/drnoksnes.png
 	install -m 0644 icons/main_64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/drnoksnes.png
 	install -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
