=== debian/changelog ===
drnoksnes (1.1.1) unstable; urgency=low

  * New fremantle gui.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 19 Sep 2009 02:42:42 +0200

drnoksnes (1.1.0) unstable; urgency=low

  * Fixed graphic glitches in SuperFX games.
  * Integrated C cpu core for i386 builds.
  * SA-1 enabled for i386 using C cpu.
  * Quick save slots.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 11 Sep 2009 01:27:28 +0200

drnoksnes (1.0.2) unstable; urgency=low

  * Some bugs and warnings fixed.
  * About dialog.
  * More fremantle dialog fixes.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  7 Sep 2009 19:38:25 +0200

drnoksnes (1.0.1) unstable; urgency=low

  * New artwork, icons and GUI layout by wazd. Thanks a lot!
  * .gz rom support [#4503]
  * SuperFX crash fixed.
  * Fremantle icons & packaging fixes.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  7 Sep 2009 17:08:47 +0200
