=== debian/changelog ===
drnoksnes (1.2.1) unstable; urgency=low

  * Fix theming bug in the Fremantle GUI.
  * Fixes Xsp bug in Diablo.

 -- Javier S. Pedro <maemo@javispedro.com>  Wed, 30 Sep 2009 12:15:08 +0200

drnoksnes (1.2.0) unstable; urgency=low

  * GUI support for disabling Xsp in Diablo.
  * Fremantle builds without Xsp now.
  * GUI support for drawing onscreen controls.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 28 Sep 2009 23:55:57 +0200

drnoksnes (1.1.2) unstable; urgency=low

  * More fixes to fremantle gui.
  * Multiple scalers support.
  * Basic 2x software scaler.
  * Basic drawing of onscreen controls.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 27 Sep 2009 03:31:30 +0200
