=== debian/changelog ===
drnoksnes (1.2.5) unstable; urgency=low

  * Changed a lot of the build system.
  * New GUI settings layout for Fremantle.
  * (In progress) Some experiments with hildon-desktop features.
  * New artwork by wazd.
  * Added an ingame exit button.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu,  7 Jan 2010 03:37:18 +0100

drnoksnes (1.2.4) unstable; urgency=low

  * Fixing some problems with onscreen controls.
  * Optified package.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 11 Oct 2009 14:49:41 +0200
