=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
  libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
  hildon-games-wrapper-dev, libosso-dev, osso-games-startup-dev,
- libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
+ libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev, maemo-optify,
+ libsdl-image1.2-dev
 Standards-Version: 3.7.2
 
 Package: drnoksnes
