=== debian/rules ===
--- 
+++ 
@@ -61,16 +61,22 @@
 	$(M4) $(M4DEFS) debian/drnoksnes.postinst.m4 > debian/drnoksnes.postinst
 	
 	echo ARCH="$(ARCH)" > config.mk
+	echo CONF_GUI=1 >> config.mk
+	echo CONF_HGW=1 >> config.mk
 ifeq ($(shell expr "$(MAEMO_VERSION)" ">" 4), 1)
 	# Maemo 5 devices do not support Xsp
-	echo CONF_XSP=0 >> config.mk
+	# But they support hildon compositing stuff
+	echo CONF_HD=1 >> config.mk
+else
+	echo CONF_XSP=1 >> config.mk
 endif
 	echo ASFLAGS="$(ASFLAGS)" >> config.mk
 	echo CFLAGS="$(CFLAGS)" >> config.mk
 	echo CXXFLAGS="$(CFLAGS)" >> config.mk
 	echo LDFLAGS="$(LDFLAGS)" >> config.mk
 	
-	echo CFLAGS="$(GUI_CFLAGS)" > gui/config.mk
+	echo CONF_NLS=1 > gui/config.mk
+	echo CFLAGS="$(GUI_CFLAGS)" >> gui/config.mk
 	echo LDFLAGS="$(GUI_LDFLAGS)" >> gui/config.mk
 	echo MAEMO_VERSION="$(MAEMO_VERSION)" >> gui/config.mk
 	echo GAME_VERSION="$(GAME_VERSION)" >> gui/config.mk
